%define name	dvdstyler
%define version	1.5
%define release %mkrel 0.beta5.1
%define src_release b5_1

Name: 	 	%{name}
Summary: 	DVD authoring GUI
Version: 	%{version}
Release: 	%{release}
Epoch:		1

Source:		http://prdownloads.sourceforge.net/dvdstyler/DVDStyler-%{version}%{src_release}.tar.bz2
URL:		http://dvdstyler.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	libwxgtk-devel wxsvg-devel >= 1.0-0.beta6
BuildRequires:	kdelibs-common libgnomeui2-devel
BuildRequires:	dvdauthor mjpegtools netpbm mpgtx mkisofs dvd+rw-tools
Requires:	dvdauthor mjpegtools netpbm mpgtx mkisofs dvd+rw-tools

%description
The main DVDStyler features are:
    * you can drag and drop MPEG files directly
    * you can import image file for background
    * you can create NTSC/PAL menu
    * you can place text and images anywhere on the menu screen
    * you can change font/color
    * you can put basic text buttons, change font/color and background color
    * you can set chapters for each movie
    * you can change post command for each movie

%prep
%setup -q -n DVDStyler-%{version}%{src_release}

%build
%configure2_5x --prefix=%_libdir --with-wx-config=%_bindir/wx-config-ansi
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr %buildroot/%{_docdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="DVDStyler" longtitle="DVD authoring GUI" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/rc/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/rc/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/pixmaps/%name.*

%changelog
* Tue Apr 11 2006 Jerome Martin <jmartin@mandriva.org> 1:1.5-0.beta5.1mdk
- beta5

* Fri Feb 3 2006 Austin Acton <austin@mandriva.org> 1:1.5-0.beta4.1mdk
- beta4

* Sat Jan 1 2006 Austin Acton <austin@mandriva.org> 1:1.5-0.beta3.1mdk
- 1.5beta3
- buildrequires wxsvg-devel
- mkrel

* Thu May 26 2005 Austin Acton <austin@mandriva.org> 1:1.4-1mdk
- 1.4
- epoch 1 to install over 1.31
- force newer wx config script

* Fri Feb 18 2005 Austin Acton <austin@mandrake.org> 1.31-1mdk
- 1.31

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 1.3b-1mdk
- initial package
